<!DOCTYPE html>
<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="./assets/tailwind.min.css" rel="stylesheet">
  <link href="./assets/style.css" rel="stylesheet">
  <style type="text/css">
    #bg{
      background-image: url(./assets/bg.png);
    }
    #content{
      color: white;
    }
    #gopay{
      height: auto;
      width: 150px;
    }

    h1{
      font-family: "MaisonNeueExtended-Bold";
      font-weight: 900;
      font-size: 54px;
      line-height: 1em;

    }
    #countdown > div{
      background-image: url(http://127.0.0.1:8050/static/img/countdown/timerbox.png);
      background-position: center;
      background-repeat: no-repeat;
      background-size: contain;
      font-family: "MaisonNeueExtended-Bold";
      font-weight: 900;
    }

    @media (min-width: 640px){
      #bg{
        background-image: url(./assets/bg_desktop.png);
        background-position: left bottom;
      }
      #countdown > div{
        line-height: 4rem;
      }
    }

    @media (min-width: 1024px){
      #countdown > div{
        line-height: 6rem;
      }
    }
  </style>
<body>
  <div class="h-screen w-screen">

    <div class="absolute inset-0 top-5 sm:top-20 text-center sm:w-6/12 sm:left-1/2 lg:top-40" id="content">

      <img src="./assets/gopay.svg" alt="gopay" class="inline-block h-auto w-4/12 mb-4 sm:w-4/12 sm:mb-2 lg:mb-4">

      <h1 class="sm:text-8xl mb-6 sm:mb-4 md:mb-8 text-center lg:mb-10">
        <img src="./assets/promotanggap.svg" alt="Promo Tanggap" class="inline-block h-auto w-64 sm:w-70 md:w-8/12">
      </h1>

      <div id="countdown" class="grid grid-cols-4 gap-0.5 mx-8 text-4xl leading-relaxed sm:text-3xl sm:gap-2 lg:gap-1 lg:text-6xl">
        <div class="h-16 lg:h-24" id="days">7</div>
        <div class="h-16 lg:h-24" id="hours">21</div>
        <div class="h-16 lg:h-24" id="minutes">38</div>
        <div class="h-16 lg:h-24" id="seconds">54</div>
      </div>
      <div class="grid grid-cols-4 gap-0.5 mx-8 my-2 text-sm">
        <div>Hari</div>
        <div>Jam</div>
        <div>Menit</div>
        <div>Detik</div>
      </div>

    </div>

    <div id="bg" class="h-screen w-screen bg-cover bg-no-repeat bg-fixed bg-center"></div>
  </div>

  <script>
    const second = 1000,
        minute = second * 60,
        hour = minute * 60,
        day = hour * 24;

    const zeroPad = (num, places) => String(num).padStart(places, '0')

    let countDown = new Date('April 1, 2021 00:00:00').getTime(),
        x = setInterval(function() {

        let now = new Date().getTime(),
            distance = countDown - now;

        document.getElementById('days').innerText = zeroPad(Math.floor(distance / (day)), 2),
            document.getElementById('hours').innerText = zeroPad(Math.floor((distance % (day)) / (hour)), 2),
            document.getElementById('minutes').innerText = zeroPad(Math.floor((distance % (hour)) / (minute)), 2),
            document.getElementById('seconds').innerText = zeroPad(Math.floor((distance % (minute)) / second), 2);

        }, second);
  </script>

</body></html>